Bug 146240 - Xscreensaver (user_t) -> nvidiactl (xserver_misc_device_t)
Xscreensaver (user_t) -> nvidiactl (xserver_misc_device_t)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 06:15 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-27 17:16:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2005-01-26 06:15:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
audit(1106723362.964:0): avc:  denied  { read write } for  pid=17311
exe=/usr/libexec/xscreensaver/hacks/gltext name=nvidiactl dev=tmpfs
ino=2304 scontext=user_u:user_r:user_t
tcontext=system_u:object_r:xserver_misc_device_t tclass=chr_file

audit(1106723362.964:0): avc:  denied  { ioctl } for  pid=17311
exe=/usr/libexec/xscreensaver/hacks/gltext path=/dev/nvidiactl
dev=tmpfs ino=2304 scontext=user_u:user_r:user_t
tcontext=system_u:object_r:xserver_misc_device_t tclass=chr_file

audit(1106735436.886:0): avc:  denied  { read write } for  pid=18782
exe=/usr/libexec/xscreensaver/hacks/starwars name=nvidiactl dev=tmpfs
ino=2304 scontext=user_u:user_r:user_t
tcontext=system_u:object_r:xserver_misc_device_t tclass=chr_file

audit(1106735436.886:0): avc:  denied  { ioctl } for  pid=18782
exe=/usr/libexec/xscreensaver/hacks/starwars path=/dev/nvidiactl
dev=tmpfs ino=2304 scontext=user_u:user_r:user_t
tcontext=system_u:object_r:xserver_misc_device_t tclass=chr_file



Version-Release number of selected component (if applicable):
selinux-policy-strict-1.21.3-1

How reproducible:
Always

Steps to Reproduce:
1. See summary    

Additional info:
Comment 1 Daniel Walsh 2005-01-26 15:40:09 EST
FIxed in selinux-policy-strict-1.21.3-5

Note You need to log in before you can comment on or make changes to this bug.